--Name: FabrikscriptExtensionModul
--Author: kevink98
--Date: 17.04.2016
--Version: 0.9

--Versionen: nothing
	
--Keine Änderung ohne meine Erlaubnis!
--No modification without my permission!

FabrikscriptExtensionModul = {};
FabrikscriptExtensionModul_directory = g_currentModDirectory;
addModEventListener(FabrikscriptExtensionModul);

print("FabrikscriptExtensionModul v0.9 loaded! Support on Marhu.net");

function FabrikscriptExtensionModul:loadMap ()

end;

function FabrikscriptExtensionModul:loadXml (dir)
		
	local file = dir.."zzz_FabrikscriptExtensionModul/Modul_config.xml";

	if fileExists (file) then
		Xml = loadXMLFile("Fe_modul_XML", file, "fe_modul");
	else
		Xml = false;
	end;
		
	
	
end;

function FabrikscriptExtensionModul:update (dt) 
	
end;

function FabrikscriptExtensionModul:getTableInfo ()
		local nameTable = {};
		
		local i=0;
		while true do
			local key = string.format("fe_modul.buildings.build(%d)", i);
			
			if not hasXMLProperty(Xml, key) then			
				break;
			end;
			
			local name = getXMLString(Xml, key .. "#name")
			nameTable[name] = {};
			
			local inputNames = Utils.splitString(" ", getXMLString(Xml, key .. "#input"));
			local inputNamesAnzeige = Utils.splitString(" ", getXMLString(Xml, key .. "#anzeigenderInput"));
			
			local outputNames = Utils.splitString(" ", getXMLString(Xml, key .. "#output"));
			local outputNamesAnzeige = Utils.splitString(" ", getXMLString(Xml, key .. "#anzeigenderOutput"));
			
			nameTable[name].name = getXMLString(Xml, key .. "#anzeigenderName");
			
			local input = {};
			local inputAnzeige = {};
			nameTable[name].Input = {};
			
			
			for k,v in pairs(inputNames) do
				table.insert(input, v);
			end;
			for k,v in pairs(inputNamesAnzeige) do
				table.insert(inputAnzeige, v);
			end;
			for i=1, #input do
				nameTable[name].Input[input[i]] = inputAnzeige[i];
			end;
			
			local output = {};
			local outputAnzeige = {};
			nameTable[name].output= {};
			for k,v in pairs(outputNames) do
				table.insert(output, v);
			end;
			for k,v in pairs(outputNamesAnzeige) do
				table.insert(outputAnzeige, v);
			end;		
			for i=1, #output do
				nameTable[name].output[output[i]] = outputAnzeige[i];
			end;
			
			i = i + 1;
			
		end;
	return nameTable;
end;

function FabrikscriptExtensionModul:getNameTable ()
	local nameTableNamen = {};
	local i=0;
	while true do
		local key = string.format("fe_modul.buildings.build(%d)", i);
		
		if not hasXMLProperty(Xml, key) then			
			break;
		end;
		
		local name = getXMLString(Xml, key .. "#name")
		nameTableNamen[name] = {};
		nameTableNamen[name].anzeigenderName = getXMLString(Xml, key .. "#anzeigenderName");
		
		
		i = i + 1;
	end;
	return nameTableNamen;
end;

function FabrikscriptExtensionModul:keyEvent(unicode, sym, modifier, isDown) end;
function FabrikscriptExtensionModul:mouseEvent(posX, posY, isDown, isUp, button) end;
function FabrikscriptExtensionModul:draw() end;
function FabrikscriptExtensionModul:deleteMap()end;
 
 
 
 
 
 
 
 
 